Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ejb.cmp.was
Class WSFinderEnumeration

`java.lang.Object
oracle.toplink.ejb.cmp.was.WSFinderEnumeration`

All Implemented Interfaces:
  com.ibm.ejs.persistence.EJSFinder, java.util.Enumeration, com.ibm.websphere.cpi.Finder

public class WSFinderEnumeration
extends java.lang.Object
implements com.ibm.ejs.persistence.EJSFinder

Purpose: Implement the Websphere EJB entity bean CMP finder enumeration APIs. Description: This class is return from finders to Websphere's home. It acts as an enumeration of real EJB remote objects (not the stubs though). It contains an enumeration of the primary keys to build each bean from. Responsibilities:

- nextElement which is a bean's remote.
- close which could be used to close a cursored stream.

Constructor Summary
`WSFinderEnumeration(java.util.Vector result, WSDataStore dataStore)`

Method Summary
`java.lang.Object` | `getPrimaryKey()` Return the primary key object of the next element.
`boolean` | `hasMore()`
`boolean` | `hasMoreElements()`
`java.lang.Object` | `nextElement()`
`java.lang.Object` | `nextKey()` Return the primary key object of the next element.
`javax.ejb.EJBObject` | `nextObject()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WSFinderEnumeration

    public WSFinderEnumeration(java.util.Vector result,
                               WSDataStore dataStore)

Method Detail

### getPrimaryKey

    public java.lang.Object getPrimaryKey()

  Return the primary key object of the next element.
  Specified by:
    `getPrimaryKey` in interface `com.ibm.websphere.cpi.Finder`

### hasMore

    public boolean hasMore()

  Specified by:
    `hasMore` in interface `com.ibm.websphere.cpi.Finder`

### hasMoreElements

    public boolean hasMoreElements()

  Specified by:
    `hasMoreElements` in interface `java.util.Enumeration`

### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

  Specified by:
    `nextElement` in interface `java.util.Enumeration`
  Throws:
    `java.util.NoSuchElementException`

### nextKey

    public java.lang.Object nextKey()
                             throws java.lang.Exception

  Return the primary key object of the next element.
  Specified by:
    `nextKey` in interface `com.ibm.websphere.cpi.Finder`
  Throws:
    `java.lang.Exception`

### nextObject

    public javax.ejb.EJBObject nextObject()
                                   throws java.lang.Exception

  Specified by:
    `nextObject` in interface `com.ibm.websphere.cpi.Finder`
  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD